Show / Hide Table of Contents

# Struct hkRefVariant

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkRefVariant

### Fields

| Improve this Doc View Source

#### hkRefPtr

##### Declaration

    public hkRefPtr<hkReferencedObject> hkRefPtr

##### Field Value

Type | Description
--- | ---
hkRefPtr<hkReferencedObject> |

### Methods

| Improve this Doc View Source

#### getClass()

##### Declaration

    public hkClass*getClass()

##### Returns

Type | Description
--- | ---
hkClass* |

| Improve this Doc View Source

#### set(Void*, hkClass*)

##### Declaration

    public void set(void *o, hkClass*k)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | o |
hkClass* | k |